CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api PUT /v1/organizations/current/config \
--body '<request-json>'Update configuration for current organization.
# Infinite MCP is read-only for this endpoint — use a dedicated MCP tool when one exists, otherwise run the CLI tab.import requests
url = "https://sandbox.api.infinite.dev/v1/organizations/current/config"
payload = {
"feeRecipientAddresses": {
"evm": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"solana": "7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV",
"tron": "TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW",
"bitcoin": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq"
},
"refundAccounts": {
"evm": "inw_abc123",
"solana": "inw_sol123",
"tron": "inw_tron123",
"bitcoin": "inw_btc123"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
feeRecipientAddresses: {
evm: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb',
solana: '7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV',
tron: 'TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW',
bitcoin: 'bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq'
},
refundAccounts: {
evm: 'inw_abc123',
solana: 'inw_sol123',
tron: 'inw_tron123',
bitcoin: 'inw_btc123'
}
})
};
fetch('https://sandbox.api.infinite.dev/v1/organizations/current/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/organizations/current/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'feeRecipientAddresses' => [
'evm' => '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb',
'solana' => '7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV',
'tron' => 'TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW',
'bitcoin' => 'bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq'
],
'refundAccounts' => [
'evm' => 'inw_abc123',
'solana' => 'inw_sol123',
'tron' => 'inw_tron123',
'bitcoin' => 'inw_btc123'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/organizations/current/config"
payload := strings.NewReader("{\n \"feeRecipientAddresses\": {\n \"evm\": \"0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb\",\n \"solana\": \"7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV\",\n \"tron\": \"TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW\",\n \"bitcoin\": \"bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq\"\n },\n \"refundAccounts\": {\n \"evm\": \"inw_abc123\",\n \"solana\": \"inw_sol123\",\n \"tron\": \"inw_tron123\",\n \"bitcoin\": \"inw_btc123\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://sandbox.api.infinite.dev/v1/organizations/current/config")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"feeRecipientAddresses\": {\n \"evm\": \"0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb\",\n \"solana\": \"7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV\",\n \"tron\": \"TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW\",\n \"bitcoin\": \"bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq\"\n },\n \"refundAccounts\": {\n \"evm\": \"inw_abc123\",\n \"solana\": \"inw_sol123\",\n \"tron\": \"inw_tron123\",\n \"bitcoin\": \"inw_btc123\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/organizations/current/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"feeRecipientAddresses\": {\n \"evm\": \"0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb\",\n \"solana\": \"7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV\",\n \"tron\": \"TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW\",\n \"bitcoin\": \"bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq\"\n },\n \"refundAccounts\": {\n \"evm\": \"inw_abc123\",\n \"solana\": \"inw_sol123\",\n \"tron\": \"inw_tron123\",\n \"bitcoin\": \"inw_btc123\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "orgcfg_abc123",
"organizationId": "org_abc123",
"feeRecipientAddresses": {
"evm": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
},
"solana": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
},
"tron": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
},
"bitcoin": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
}
},
"refundAccounts": {
"evm": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
},
"solana": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
},
"tron": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
},
"bitcoin": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
}
},
"createdAt": "<string>",
"updatedAt": "<string>"
}Organizations
Update configuration for current organization
Update per-network fee payout addresses and/or refund account IDs. Set a refund account to null or empty string to fall back to the organization treasury wallet.
PUT
/
v1
/
organizations
/
current
/
config
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api PUT /v1/organizations/current/config \
--body '<request-json>'Update configuration for current organization.
# Infinite MCP is read-only for this endpoint — use a dedicated MCP tool when one exists, otherwise run the CLI tab.import requests
url = "https://sandbox.api.infinite.dev/v1/organizations/current/config"
payload = {
"feeRecipientAddresses": {
"evm": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"solana": "7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV",
"tron": "TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW",
"bitcoin": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq"
},
"refundAccounts": {
"evm": "inw_abc123",
"solana": "inw_sol123",
"tron": "inw_tron123",
"bitcoin": "inw_btc123"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
feeRecipientAddresses: {
evm: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb',
solana: '7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV',
tron: 'TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW',
bitcoin: 'bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq'
},
refundAccounts: {
evm: 'inw_abc123',
solana: 'inw_sol123',
tron: 'inw_tron123',
bitcoin: 'inw_btc123'
}
})
};
fetch('https://sandbox.api.infinite.dev/v1/organizations/current/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/organizations/current/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'feeRecipientAddresses' => [
'evm' => '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb',
'solana' => '7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV',
'tron' => 'TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW',
'bitcoin' => 'bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq'
],
'refundAccounts' => [
'evm' => 'inw_abc123',
'solana' => 'inw_sol123',
'tron' => 'inw_tron123',
'bitcoin' => 'inw_btc123'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/organizations/current/config"
payload := strings.NewReader("{\n \"feeRecipientAddresses\": {\n \"evm\": \"0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb\",\n \"solana\": \"7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV\",\n \"tron\": \"TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW\",\n \"bitcoin\": \"bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq\"\n },\n \"refundAccounts\": {\n \"evm\": \"inw_abc123\",\n \"solana\": \"inw_sol123\",\n \"tron\": \"inw_tron123\",\n \"bitcoin\": \"inw_btc123\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://sandbox.api.infinite.dev/v1/organizations/current/config")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"feeRecipientAddresses\": {\n \"evm\": \"0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb\",\n \"solana\": \"7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV\",\n \"tron\": \"TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW\",\n \"bitcoin\": \"bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq\"\n },\n \"refundAccounts\": {\n \"evm\": \"inw_abc123\",\n \"solana\": \"inw_sol123\",\n \"tron\": \"inw_tron123\",\n \"bitcoin\": \"inw_btc123\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/organizations/current/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"feeRecipientAddresses\": {\n \"evm\": \"0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb\",\n \"solana\": \"7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV\",\n \"tron\": \"TJCnKsPa7y5okkXvQAidZBzqx3QyQ6sxMW\",\n \"bitcoin\": \"bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq\"\n },\n \"refundAccounts\": {\n \"evm\": \"inw_abc123\",\n \"solana\": \"inw_sol123\",\n \"tron\": \"inw_tron123\",\n \"bitcoin\": \"inw_btc123\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "orgcfg_abc123",
"organizationId": "org_abc123",
"feeRecipientAddresses": {
"evm": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
},
"solana": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
},
"tron": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
},
"bitcoin": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
}
},
"refundAccounts": {
"evm": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
},
"solana": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
},
"tron": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
},
"bitcoin": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
}
},
"createdAt": "<string>",
"updatedAt": "<string>"
}Authorizations
API Key in Bearer format (e.g., Bearer sk_test_...)
Headers
API key
Body
application/json
Response
Updated organization configuration
Config ID
Example:
"orgcfg_abc123"
Organization ID
Example:
"org_abc123"
Per-network fee recipient addresses
Show child attributes
Show child attributes
Per-network refund accounts for failed transfers
Show child attributes
Show child attributes
Created timestamp
Updated timestamp
Was this page helpful?